Bug 8213 - "Cancel All" button on holds over tab cancels both holds over and holds waiting
Summary: "Cancel All" button on holds over tab cancels both holds over and holds waiting
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low major (vote)
Target Milestone: ---
Assignee: Kyle M Hall
QA Contact: Paul Poulain
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-08 16:26 UTC by Melia Meggs
Modified: 2014-05-26 21:04 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 8213 - "Cancel All" button on holds over tab cancels both holds over and holds waiting (1.54 KB, patch)
2012-10-01 17:36 UTC, Kyle M Hall
Details | Diff | Splinter Review
[Signed off] Bug 8213 - "Cancel All" button on holds over tab cancels both holds over and holds waiting (1.56 KB, patch)
2012-10-15 23:17 UTC, Melia Meggs
Details | Diff | Splinter Review
Bug 8213 - "Cancel All" button on holds over tab cancels both holds over and holds waiting (1.62 KB, patch)
2012-10-17 07:01 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Melia Meggs 2012-06-08 16:26:33 UTC
The "Cancel All" button on the Holds Over tab currently cancels all holds over and all holds waiting.  This doesn't make sense - librarians are inadvertently canceling all of their holds that are waiting to be picked up.  

The "Cancel All" button should cancel only the holds over that do not need to be transferred (these are the ones that are older than ReservesMaxPickUpDelay).  It should not cancel the holds waiting.
Comment 1 Melia Meggs 2012-06-08 16:27:15 UTC
Related to http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=6039
Comment 2 Albert Oller 2012-06-22 18:05:51 UTC
I'm not sure if this needs a separate bug entry, but can there also be a confirmation pop-up?  

"Are you sure you want to do this?"
Comment 3 Katrin Fischer 2012-06-22 18:18:58 UTC
Hm, I can't think of a situation a library wants to delete all holds (maybe not inventive enough today). I think normally you only want to cancel the expired holds - so it would make sense to me for the button to do that. Maybe the description could be more clear?
Comment 4 Melia Meggs 2012-07-03 19:55:58 UTC
They don't really need an "Are you sure you want to do this?" message if the button were working correctly. I can't think of any situation in which a library would want to cancel all of their holds waiting either.

The button needs to cancel all of the holds over (which are past the ReserveMaxPickUpDelay anyway), and it should have no effect on the holds waiting.
Comment 5 Kyle M Hall 2012-10-01 17:36:51 UTC Comment hidden (obsolete)
Comment 6 Kyle M Hall 2012-10-01 17:41:24 UTC
Test Plan:
1) Create two holds, and set them to waiting for two patrons.
2) Make the waitingdate for one of the holds longer than the value set in ReservesMaxPickUpDelay.
3) You should now see one reserve on each tab on waitingreserves.pl
4) Backup your database
5) On the "Holds over" tab, click 'Cancel all'. This should cancel both holds
6) Restore your database
7) Apply this patch
8) Repeat step 4, only the hold in the "Holds over" tab should be canceled.
Comment 7 Melia Meggs 2012-10-15 23:17:46 UTC Comment hidden (obsolete)
Comment 8 Melia Meggs 2012-10-15 23:18:29 UTC
I applied this patch and followed the test plan above.  Before the patch, when I clicked "cancel all" both my holds over and holds waiting were cancelled.  After the patch, when I clicked "cancel all" only the holds over were cancelled.  I think this patch is working, and I will add my sign-off.  I am leaving the status as "needs sign-off" - we need a second sign-off from a non-ByWater staff member, please.
Comment 9 Chris Cormack 2012-10-17 07:01:20 UTC
Created attachment 12875 [details] [review]
Bug 8213 - "Cancel All" button on holds over tab cancels both holds over and holds waiting

Signed-off-by: Melia Meggs <melia@test.bywatersolutions.com>
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 10 Paul Poulain 2012-10-25 16:25:03 UTC
QA comment:
 * 2 signoffs, great
 * passes koha-qa.pl
 * no side effect risk I can imagine, script related only to waitingreserves.pl

passed QA
Comment 11 Paul Poulain 2012-10-25 16:25:15 UTC
Patch pushed to master
Comment 12 Chris Cormack 2012-10-27 01:25:50 UTC
Pushed to 3.8.x will be in 3.8.7